// ConnectorCA.java

package org.objectweb.jonas.jtests.beans.jca15;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;

/**
 * ConnectorCA remote interface
 */
public interface ConnectorCA extends EJBObject {
    public void method1(java.lang.String s,java.lang.String t) throws RemoteException,Exception;
    public void closeUp(int w) throws RemoteException;
    public boolean isConnectionSpec() throws RemoteException;
    public boolean isConnection() throws RemoteException;
    public boolean isInteraction() throws RemoteException;
    public String getConnectionProduct() throws RemoteException,Exception;
    public String getServerName() throws RemoteException,Exception;
    public String getProtocolProperty() throws RemoteException, Exception;
    public boolean getCMInstance() throws RemoteException;
    public void setMatchNull(boolean b) throws RemoteException;
    public int cntListeners() throws RemoteException;
    public int getMCF_Pwriter() throws RemoteException;
    public int getMC_Pwriter() throws RemoteException;
}
